{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Run C++",
            "type": "cppdbg",
            "request": "launch",
            "args": [],

            //"stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],

            "preLaunchTask": "compile_release",
            "program": "${workspaceFolder}/bin/example.circles/Release/example.circles",

            "MIMode": "gdb",
            "miDebuggerPath": "",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description":  "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "Debug C++",
            "type": "cppdbg",
            
            "cwd": "${workspaceFolder}",
            "request": "launch",
            "preLaunchTask": "compile_debug",
            "program": "${workspaceFolder}/bin/example.circles/Debug/example.circles",
            "internalConsoleOptions": "openOnSessionStart",

            "MIMode": "gdb",
            "miDebuggerPath": "",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description":  "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        }
    ]
}